- Qt 6.7
- Qt Quick 3D
- C++ Classes
- QQuick3DExtensionHelpers
- Qt Quick 3D | Commercial or GPLv3

# QQuick3DExtensionHelpers Class

Helper functions for the Extensions APIs. More...

Header: | #include <QQuick3DExtensionHelpers>
Since: | Qt 6.6

- List of all members, including inherited members

## Static Public Members

QSSGCameraId | getCameraId(const QQuick3DObject &camera)
QSSGNodeId | getNodeId(const QQuick3DObject &node)
QSSGResourceId | getResourceId(const QQuick3DObject &resource)

## Detailed Description

## Member Function Documentation

### `[static]` QSSGCameraId QQuick3DExtensionHelpers::getCameraId(const QQuick3DObject &camera)

Returns a `QSSGCameraId` that can be used to retrieve the corresponding camera object in the engine.

### `[static]` QSSGNodeId QQuick3DExtensionHelpers::getNodeId(const QQuick3DObject &node)

Returns a `QSSGNodeId` that can be used to retrieve the object in the engine corresponding to node.

### `[static]` QSSGResourceId QQuick3DExtensionHelpers::getResourceId(const QQuick3DObject &resource)

Returns a `QSSGResourceId` that can be used to retrieve the corresponding resource object in the engine.